## gpm 1.20.4-6maemo0

=== debian/changelog ===
gpm (1.20.4-6maemo0) unstable; urgency=low

  * No optification.

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 28 Aug 2013 12:32:09 +0200

gpm (1.20.4-6) unstable; urgency=low

  * No source changes; rebuild to make the multiarch *.gz md5sums match.
    (Should be a binNMU, but those do not work with M-A.)

 -- Peter Samuelson <peter@p12n.org>  Sun, 10 Jun 2012 14:55:09 -0500

gpm (1.20.4-5) unstable; urgency=medium

  [ Peter Samuelson ]
  * Tweak debian/rules to pass the right CC into configure.  Thanks Kyle
    Moffett.  (Closes: #645278)
  * Add Polish debconf translation, thanks Michał Kułach.  (Closes: #658143)
  * Fix watch file.
  * Drop long-obsolete libgpmg1-dev dummy package.
  * A few tweaks to rules and control files.

  [ Stefan Lippers-Hollman ]
  * Fix kernel detection for kernel >=3 (Closes: #653036).
    - patches/090_linux3_versions: New patch: also fix gpm-root.y for
      kernel 3.x version scheme.

 -- Peter Samuelson <peter@p12n.org>  Fri, 08 Jun 2012 11:20:49 -0500

gpm (1.20.4-4) unstable; urgency=low

  * Ack NMUs - thanks, guys!
  * Promote myself to maintainer.  There's not really been a gpm "team"
    for some time now.
  * Upgrade to source format 1.0.
  * Use config.sub, config.guess from autotools-dev.
  * Add some cross-compile fu.  Touches rules, patches/014 and (new)
    patches/080.  From Ubuntu, modified.
  * Multiarch.  Based on a patch by Riku Voipio, thanks!  (Closes: #638960)
  * Policy 3.9.2:
    - Remove some Conflicts and change one to Breaks.
    - Fix some exit codes in gpm.init.
  * libgpmg1-dev: arch all, not any.

 -- Peter Samuelson <peter@p12n.org>  Tue, 23 Aug 2011 12:16:08 -0500

gpm (1.20.4-3.4) unstable; urgency=low

  * Non-maintainer upload.
  * Minor QA changes (triggerred by lintian warnings):
    - Add ${misc:Depends} to binary packages dependencies
    - No longer call install-info in prerm and postinst scripts
    - Do not hardcode path to gpm in prerm script
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #595640
    - Dutch (Eric Spreen).  Closes: #605587

 -- Christian Perrier <bubulle@debian.org>  Sat, 02 Apr 2011 09:08:07 +0200

gpm (1.20.4-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Belarusian (Pavel Piatruk).  Closes: #516032
    - Japanese (Hideki Yamane (Debian-JP)).  Closes: #512854

 -- Christian Perrier <bubulle@debian.org>  Sat, 30 Jan 2010 09:47:32 +0100

gpm (1.20.4-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/070_struct_ucred: fix FTBFS. Closes: #520853

 -- Peter Eisentraut <petere@debian.org>  Fri, 24 Apr 2009 18:41:08 +0300

gpm (1.20.4-3.1) unstable; urgency=low

  [ Thomas Viehmann ]
  * Non-maintainer upload.
  * debian/patches/060_no_blocking_on_mouse_device_under_x:
    don't block in rxvt. Closes: #470882
    Analysis and patch by Samuel Thibault, thanks!

  [ Neil Williams ]
  * clean up Makefile to allow gpm to build twice in a row in a pbuilder
    chroot (release goal)

 -- Neil Williams <codehelp@debian.org>  Sun, 30 Nov 2008 01:36:31 +0100

gpm (1.20.4-3) unstable; urgency=low

  * Remove myself from Uploaders.
  * Group related patches:
    - debian/patches/030_daemon_quit: Rename to ...
    - debian/patches/020_daemon_quit_noverbose.patch: ... this.
  * Demote syslog message when the gpmctl node cannot be opened to debugging
    output, that's the case when gpm is not running. And change libgpm to not
    log into syslog debugging messages. (Closes: #469933, #479474, #479824)
    (Closes: #480070, #488053, #490895, #492954, #494924)
    Thanks to Jonathan Nieder <jrnieder@uchicago.edu>.
    - debian/patches/015_libgpm_noverbose.patch: Replace with ...
    - debian/patches/021_libgpm_dev_gpmctl_debug_msg.patch: ... this.
    - debian/patches/022_libgpm_no_log_debug_msg.patch: New file.
  * Fix a segfault on startup produced by an off-by-one error when accessing
    the console information array due to a missmatch between some files
    using the kernel and others the gpm definition for the number of
    supported consoles. (Closes: #493168)
    Thanks to Nico Schottelius <nico-debian-pkg-gpm-devel@schottelius.org>
    and Samuel Thibault <samuel.thibault@ens-lyon.org>.
    - debian/patches/031_max_consoles.patch: New file.
  * Update Catalan debconf translation.

 -- Guillem Jover <guillem@debian.org>  Sun, 26 Oct 2008 04:36:14 +0200

gpm (1.20.4-2) unstable; urgency=low

  * Replace $local_fs with $remote_fs in init script. (Closes: #475454)
  * Cleanup debian/copyright:
    - Change 'Copyright' to 'Copyright Holders'.
    - Use UTF-8 copyright symbol.
    - Refer to GPL-2 from common-licenses instead of just GPL.
    - Remove packaging svn information.
  * Add Conflicts and Replaces to libgpm-dev on libgpmg1-dev << 1.20.4.
  * Add Provides to libgpm-dev on libgpmg1-dev.
  * Versions before 1.20.3~pre3 are wire protocol incompatible, after that
    the library broken ABI, but applications still use the old wire protocol.
    - Add Conflicts to gpm against libgpmg1.
    - Add Conflicts to libgpm2 against gpm << 1.20.3~pre3.

 -- Guillem Jover <guillem@debian.org>  Sun, 22 Jun 2008 09:38:10 +0300

gpm (1.20.4-1) experimental; urgency=low

  [ Guillem Jover ]
  * New upstream version. (Closes: #482138)
    - debian/patches/001_logging.patch: Removed, merged upstream.
    - debian/patches/006_version_000: Likewise.
    - debian/patches/008_sun_repeat_000: Likewise.
    - debian/patches/030_segfault: Likewise.
    - debian/patches/001_missing_V_option.patch: Refresh.
    - debian/patches/002_force_repeat_000: Likewise.
    - debian/patches/005_types_000: Likewise.
    - debian/patches/007_doc_fix_000: Likewise.
    - debian/patches/010_ps2_rework.patch: Likewise.
    - debian/patches/013_xterm_mouse_support_000: Likewise.
    - debian/patches/015_libgpm_noverbose.patch: Likewise.
    - debian/patches/030_daemon_quit: Likewise.

