=== debian/control ===
Source: gpm
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Section: misc
Priority: optional
Standards-Version: 3.9.3
Homepage: http://www.nico.schottelius.org/software/gpm/
Build-Depends: autoconf, autotools-dev, quilt, debhelper (>= 6.0.7), mawk | awk,
 bison, texlive-base, texinfo, texi2html

Package: gpm
Priority: optional
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ucf, lsb-base
Multi-Arch: foreign
Description: General Purpose Mouse interface
 This package provides a daemon that captures mouse events when the system
 console is active, and delivers events to applications through a library.
 .
 By default, the daemon provides a 'selection' mode, so that
 cut-and-paste with the mouse works on the console just as it does
 under X.

Package: libgpm2
Priority: standard
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Suggests: gpm
Description: General Purpose Mouse - shared library
 This package provides a library that handles mouse requests
 and delivers them to applications. See the description for the 'gpm'
 package for more information.

Package: libgpm-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: libgpm2 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
Multi-Arch: same
Conflicts: libgpmg1-dev
Provides: libgpmg1-dev
Description: General Purpose Mouse - development files
 This package provides a library that handles mouse requests
 and delivers them to applications. See the description for the 'gpm'
 package for more information.
