=== debian/watch ===
version=3
http://www.nico.schottelius.org/software/gpm/archives/gpm-([0-9.]*).tar.gz	debian	uupdate
