## gpm 1.20.7

=== debian/changelog ===
gpm (1.20.7-5) unstable; urgency=medium

  * Update Vcs-* headers for switch to salsa.debian.org.
  * Fix syslog format string in
    092_fix-format-not-a-string-literal-and-no-format-arguments.patch.
    Thanks William Blough and Samuel Thibault! (Closes: #888792, #888797)

 -- Axel Beckert <abe@debian.org>  Tue, 30 Jan 2018 02:21:54 +0100

gpm (1.20.7-4) unstable; urgency=low

  * Upload to unstable again to fix #886903 also in unstable.
    + Mention #886903 in debian/patches/94_gpm-1.20.7-glibc-2.26-1.patch
      and the 1.20.7-2 debian/changelog entry.
    + Set urgency=low.
  * Add lintian-override for too-long-extended-description-in-templates:
    The list of possible device types cannot be shortened without loosing
    essential information for the administrator.
  * Switch watch file and Homepage to HTTPS and drop "www.".
  * debian/clean: Add all files reported by "git clean -dxf" (even after
    having run "debclean"), partially by using wildcards. Makes package
    building twice in a row again.
  * Drop "Priority: standard" for libgpm2: It's no more required that all
    dependencies of a package only have the same or higher priority.
  * Declare compliance with Debian Policy 4.1.3. (No changes needed.)
  * Bump debhelper compatibility to 11.
    + Update versioned build-dependency on debhelper accordingly.

 -- Axel Beckert <abe@debian.org>  Thu, 11 Jan 2018 22:50:00 +0100

gpm (1.20.7-3) experimental; urgency=low

  * Convert debian/copyright to machine-readable DEP5 format.
    + Update copyright years.
    + Add missing copyright holders.
    + Add missing GPL-3.0+ for two files under scripts/.
  * Remove Makefile in debian/rules before dh_auto_clean is called.
  * Install README.versions as documentation.
  * Add contrib/emacs/t-mouse.elc to debian/clean.
  * Restrict architecture to linux-any for now. (Closes: #745168)
  * Add man page for gpm-microtouch-setup(8) by François Wendling. Thanks!
    (Closes: #496868)

 -- Axel Beckert <abe@debian.org>  Thu, 21 Sep 2017 00:36:08 +0200

gpm (1.20.7-2) experimental; urgency=low

  [ Axel Beckert ]
  * Pre-emptively add patch from NuTyX/LFS to fix FTBFS with glibc 2.26.
    (Closes: #886903)
  * Retroactively mention #490657 in previous changelog entry.
  * debian/clean: Add Makefile and src/.depend to be able to build twice
    in a row.

  [ Samuel Thibault ]
  * Bump Standards-Versions to 4.1.0 (no changes).

  [ Andreas Henriksson ]
  * Re-add Gpm_Wgetch symbol and fix 050_dont_link_libcurses patch.
    (Closes: #873568)

 -- Axel Beckert <abe@debian.org>  Wed, 20 Sep 2017 22:11:43 +0200

gpm (1.20.7-1) experimental; urgency=low

  [ Samuel Thibault ]
  * Adopt package (Closes: Bug#852224)
  * control: Update maintainer mailing list.

  [ Axel Beckert ]
  * Adding myself as Maintainer. (c.f. #852224)
  * Apply wrap-and-sort.
  * Update upstream download URL in debian/copyright. Issue found by DUCK.
  * Add not yet cleaned up build artifacts to debian/clean.
  * Switch to source format "3.0 (quilt)" and rewrite debian/rules as dh
    v7 style minimal rules file with debhelper compatibility level 10.
    + Bump versioned debhelper build-dependency accordingly.
    + Drop build-dependencies on quilt, autoconf and autotools-dev.
    + Refresh 021_libgpm_dev_gpmctl_debug_msg.patch to remove fuzz.
    + Use dh-exec and executable debian/*.install files instead of
      $(INSTALL_PROGRAM) and $(INSTALL_DATA) in debian/rules.
    + Add patch to fix FTBFS with -Wformat-security.
  * Enable all hardening build flags.
    + Update 014_has_mouse_control.patch to properly pass compile flags.
  * Add patch to fix spelling errors found by lintian.
  * Declare compliance with Debian Policy 4.0.1.
    + Use /run/ instead of /var/run/ in init script.
  * Import stable upstream release 1.20.7. (Closes: #490657)
    + Refresh patches where necessary.
    + Manually extend 050_dont_link_libcurses to make package compile
      again independently of libncurses5-dev being installed or not.
    + Drop 020_daemon_quit_noverbose.patch,
      021_libgpm_dev_gpmctl_debug_msg.patch,
      022_libgpm_no_log_debug_msg.patch, 030_fd_set_negative_int.patch and
      040_no_OPEN_MAX.patch, applied upstream.
    + Update debian/libgpm2.install wrt. to minor SONAME version.
    + No more symlink config.{sub,guess}, call ./autogen.sh instead.
  * Add DEP-3 headers to all patches.
  * Add an initial symbols file.

  [ Peter Eisentraut ]
  * Add init.d status support. (Closes: #525677)

 -- Axel Beckert <abe@debian.org>  Sun, 13 Aug 2017 05:11:33 +0200

gpm (1.20.4-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Cleanup dependencies:
    - Remove dependency on obsolete package texi2html to fix lintian error.
    - While on it, remove unneeded dependency on texlive-base
    This is safe as it seems that gpm is not using texi2html and texlive-base,
    the generated Debian packages have identical documentation.
    This also has a nice side effect to reduce B-Ds a lot, and it looks like
    that this solves an dependency cycle.
  * Remove Pre-Depends on multiarch-support to fix lintian error.
  * Fixing lintian-warning h-clean-k-is-deprecated by using dh_prep instead.
  * The fixed lintian errors and warning Closes: #820670.
  * Fix lintian informational warnings:
    - binary-control-field-duplicates-source field "section"
    - binary-control-field-duplicates-source field "priority"
    - duplicate-long-description libgpm2 libgpm-dev
  * Bump compat level to 9

 -- Tobias Frost <tobi@debian.org>  Mon, 11 Apr 2016 11:36:03 +0200

gpm (1.20.4-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS with glibc 2.17, missing include":
    add patch 091_glibc_2.17_types from Adam Conrad / Ubuntu:
    - explicitly include <sys/types.h>
    (Closes: #700229)

 -- gregor herrmann <gregoa@debian.org>  Sun, 23 Jun 2013 15:59:29 +0200
